define([
  "dojo/_base/declare",
  "helpers/RequestWrapper"
], function (declare, RequestWrapper) {

  return declare(null, {

    constructor: function () { },

    init(target, bb) {
      $('#toggleFreezeScene').prop('disabled', true);
    },

    settingBoundingBox: function (target, bb) {
      // no-op
    },

    makingRequest: function (target) {
      requestWrapper = new RequestWrapper();
      requestWrapper.request({
        host: $("#host").val(),
        port: $("#port").val(),
        endpoint: $("#endpoint").val(),
        boundingBox: $("#boundingBoxInput").val()
      });
    },

    toggleFreezingScene: function (target) {
      // no-op
    }

  });

});